Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Qt-Creator version for specific RHEL OS version



  • Hello;

    Some background:

    I am somewhat new to the Qt/Linux OS world so please bear with me.

    I am designing a updated Virtual Machine for the developers in our group. The current-generation VM is using:

    1. Red Hat Enterprise Server v7.4
    2. Kernel 3.10.0-693.el7.x86_64
      3.Qt-Creator v4.0.3, which is based upon the Qt development support libraries v5.6.2 which are standard with RHEL v7.4

    We will be upgrading to OS RHEL v7.6 soon. All my initial testing shows that this version of the OS upgrades the Qt Dev. libraries to v5.9.2

    Question:

    1. This means I will have to upgrade Qt-Creator as well - right? If so to what version?

    Thanks for any/all responses.


  • Lifetime Qt Champion

    @ubstung71

    This means I will have to upgrade Qt-Creator as well - right? If so to what version?

    Not necessarily (but probably it would be useful).

    The answer strongly depends on the counter-question: How do you install Qt and Qt Creator?


  • Qt Champions 2019

    @ubstung71 said in Qt-Creator version for specific RHEL OS version:

    This means I will have to upgrade Qt-Creator as well

    No, QtCreator can handle many different Qt versions. But I guess RHEL v7.6 will have a newer version of QtCreator also, did check?


Log in to reply